// SPDX-License-Identifier: MIT
pragma solidity ^0.8.20;

// forge script scripts/test.s.sol:TestFun \
//   --fork-url https://data-seed-prebsc-1-s1.binance.org:8545 \
//   -vvvvv

import "forge-std/Script.sol";
import "forge-std/console.sol";

contract TestFun is Script {
    function run() external {

        address from = 0xa013422A5918CD099C63c8CC35283EACa99a705d; 
        address to   = 0x7f9eEA491eE53045594ee4669327f0355aCd0e58; 

        bytes memory data = hex"7229bc3c0000000000000000000000000000000000000000000000000de0b6b3a7640000";

        vm.startPrank(from);

        (bool ok, bytes memory ret) = to.call(data);

        vm.stopPrank();

        console.log("Call success:", ok);
        console.logBytes(ret);

    }
}
